ServletRequestAttributeListener (Servlet 6.1 API Documentation - Apache Tomcat 11.0.21)
Description: declaration: package: jakarta.servlet, interface: ServletRequestAttributeListener

# Interface ServletRequestAttributeListener

All Superinterfaces:
  `EventListener`

public interface ServletRequestAttributeListener extends EventListener
A ServletRequestAttributeListener can be implemented by the developer interested in being notified of request attribute changes. Notifications will be generated while the request is within the scope of the web application in which the listener is registered. A request is defined as coming into scope when it is about to enter the first servlet or filter in each web application, as going out of scope when it exits the last servlet or the first filter in the chain.

Since:
  Servlet 2.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `attributeAdded(ServletRequestAttributeEvent srae)`
  Notification that a new attribute was added to the servlet request.
  `default void`
  `attributeRemoved(ServletRequestAttributeEvent srae)`
  Notification that an existing attribute has been removed from the servlet request.
  `default void`
  `attributeReplaced(ServletRequestAttributeEvent srae)`
  Notification that an attribute was replaced on the servlet request.

- ## Method Details

  - ### attributeAdded

    default void attributeAdded(ServletRequestAttributeEvent srae)
    Notification that a new attribute was added to the servlet request. Called after the attribute is added. The default implementation is a NO-OP.
    Parameters:
      `srae` - Information about the new request attribute

  - ### attributeRemoved

    default void attributeRemoved(ServletRequestAttributeEvent srae)
    Notification that an existing attribute has been removed from the servlet request. Called after the attribute is removed. The default implementation is a NO-OP.
    Parameters:
      `srae` - Information about the removed request attribute

  - ### attributeReplaced

    default void attributeReplaced(ServletRequestAttributeEvent srae)
    Notification that an attribute was replaced on the servlet request. Called after the attribute is replaced. The default implementation is a NO-OP.
    Parameters:
      `srae` - Information about the replaced request attribute